Page MenuHomePhabricator

Upgrade dev dependencies of repositiory wikimedia/portals
Closed, DuplicatePublic

Description

Overview: https://libraryupgrader2.wmflabs.org/r/wikimedia/portals

Repo wikimedia/portals is using some npm packages which are reporting issues on npm audit

Please upgrade to avoid security isses with developer machine or on the WMF CI running node jobs.

Have a look at https://libraryupgrader2.wmflabs.org/vulns/npm and search for the repo name to find issues or run the audit command

Event Timeline

This is pretty much a dupe of T237479, which is blocked. :-(

Pretty much any change there is blocked by T213806 and T238747; we're still running both the build (this specific code) and the actual hosting (!) in node 6 on bare-metal.